dnl $Id: config.m4,v 1.1 2004/01/28 03:24:44 iliaa Exp $
dnl config.m4 for extension statgrab

PHP_ARG_WITH(statgrab, for libstatgrab support,
[  --with-statgrab             Include libstatgrab support])

if test "$PHP_STATGRAB" != "no"; then
  SEARCH_PATH="/usr/local /usr"
  SEARCH_FOR="/include/statgrab.h"
  if test -r $PHP_STATGRAB/$SEARCH_FOR; then # path given as parameter
     STATGRAB_DIR=$PHP_STATGRAB
  else # search default path list
    AC_MSG_CHECKING([for libstatgrab files in default path])
    for i in $SEARCH_PATH ; do
      if test -r $i/$SEARCH_FOR; then
        STATGRAB_DIR=$i
        AC_MSG_RESULT(found in $i)
      fi
    done
  fi
  
  if test -z "$STATGRAB_DIR"; then
      AC_MSG_RESULT([not found])
      AC_MSG_ERROR([Please reinstall the libstatgrab distribution from http://www.i-scream.org/libstatgrab/])
  fi

  LIBNAME=statgrab
  LIBSYMBOL=statgrab_init

  PHP_CHECK_LIBRARY($LIBNAME,$LIBSYMBOL,
  [
    PHP_ADD_LIBRARY_WITH_PATH($LIBNAME, $STATGRAB_DIR/lib, STATGRAB_SHARED_LIBADD)
    AC_DEFINE(HAVE_STATGRABLIB,1,[ ])
  ],[
    AC_MSG_ERROR([wrong libstatgrab version or lib not found])
  ],[
    -L$STATGRAB_DIR/lib -lm -ldl
  ])
  dnl
  PHP_SUBST(STATGRAB_SHARED_LIBADD)

  PHP_NEW_EXTENSION(statgrab, statgrab.c, $ext_shared)
fi
